java.net

## Interface SocketOption<T>

- Type Parameters:
    `T` - The type of the socket option value.

      public interface SocketOption<T>

  A socket option associated with a socket.

  In the `channels` package, the `NetworkChannel` interface defines the `setOption` and `getOption` methods to set and query the channel's socket options.

  Since:
    1.7
  See Also:
    `StandardSocketOptions`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()` Returns the name of the socket option.
    `Class<T>` | `type()` Returns the type of the socket option value.

- - ### Method Detail

    - #### name

          String name()

      Returns the name of the socket option.

    - #### type

          Class<T> type()

      Returns the type of the socket option value.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.